summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--common/puppet-opnfv/manifests/controller_networker.pp1
-rw-r--r--common/puppet-opnfv/manifests/external_net_setup.pp8
-rwxr-xr-xforeman/ci/bootstrap.sh2
-rwxr-xr-xforeman/ci/deploy.sh4
4 files changed, 12 insertions, 3 deletions
diff --git a/common/puppet-opnfv/manifests/controller_networker.pp b/common/puppet-opnfv/manifests/controller_networker.pp
index 18a876c..157bc8f 100644
--- a/common/puppet-opnfv/manifests/controller_networker.pp
+++ b/common/puppet-opnfv/manifests/controller_networker.pp
@@ -106,6 +106,7 @@ class opnfv::controller_networker {
if !$lb_backend_server_names { $lb_backend_server_names = $controllers_hostnames_array }
if !$neutron_db_password { $neutron_db_password = $single_password }
if !$neutron_user_password { $neutron_user_password = $single_password }
+ if !$neutron_metadata_proxy_secret { $neutron_metadata_proxy_secret = $single_password }
if !$nova_db_password { $nova_db_password = $single_password }
if !$nova_user_password { $nova_user_password = $single_password }
if !$pcmk_server_addrs {$pcmk_server_addrs = $controllers_ip_array}
diff --git a/common/puppet-opnfv/manifests/external_net_setup.pp b/common/puppet-opnfv/manifests/external_net_setup.pp
index df9bdac..af00f20 100644
--- a/common/puppet-opnfv/manifests/external_net_setup.pp
+++ b/common/puppet-opnfv/manifests/external_net_setup.pp
@@ -73,5 +73,13 @@ class opnfv::external_net_setup {
network_name => 'provider_network',
tenant_name => 'admin',
}
+ ->
+ neutron_router { 'provider_router':
+ ensure => present,
+ name => 'provider_router',
+ admin_state_up => true,
+ gateway_network_name => 'provider_network',
+ tenant_name => 'admin',
+ }
}
}
diff --git a/foreman/ci/bootstrap.sh b/foreman/ci/bootstrap.sh
index 839dfaa..4bc22ed 100755
--- a/foreman/ci/bootstrap.sh
+++ b/foreman/ci/bootstrap.sh
@@ -36,7 +36,7 @@ cd /opt
echo "Cloning khaleesi to /opt"
if [ ! -d khaleesi ]; then
- if ! git clone -b opnfv https://github.com/trozet/khaleesi.git; then
+ if ! git clone -b v1.0 https://github.com/trozet/khaleesi.git; then
printf '%s\n' 'bootstrap.sh: Unable to git clone khaleesi' >&2
exit 1
fi
diff --git a/foreman/ci/deploy.sh b/foreman/ci/deploy.sh
index 77024c6..86f03a7 100755
--- a/foreman/ci/deploy.sh
+++ b/foreman/ci/deploy.sh
@@ -277,7 +277,7 @@ rm -rf /tmp/bgs_vagrant
##clone bgs vagrant
##will change this to be opnfv repo when commit is done
-if ! git clone https://github.com/trozet/bgs_vagrant.git; then
+if ! git clone -b v1.0 https://github.com/trozet/bgs_vagrant.git; then
printf '%s\n' 'deploy.sh: Unable to clone vagrant repo' >&2
exit 1
fi
@@ -567,7 +567,7 @@ for node in ${nodes}; do
##clone bgs vagrant
##will change this to be opnfv repo when commit is done
- if ! git clone https://github.com/trozet/bgs_vagrant.git $node; then
+ if ! git clone -b v1.0 https://github.com/trozet/bgs_vagrant.git $node; then
printf '%s\n' 'deploy.sh: Unable to clone vagrant repo' >&2
exit 1
fi